# COPR Ligenix's spec file for glpi-plugin-databaseinventory
#
# Copyright (c) 2023-2023 Jean-Marc Liger
#
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global pluginname databaseinventory
%global glpi_min   10.0.0
%global glpi_max   10.1.0

Name:           glpi-plugin-%{pluginname}
Version:        1.0.0
Release:        1%{?dist}
Summary:        Plugin to "manage" the Teclib' inventory agents
Summary(fr):    Extension pour "piloter" les agents d'inventaire Teclib'

License:        GPLv3
URL:            https://github.com/glpi-project/glpi-inventory-plugin

Source0:        https://github.com/glpi-project/glpi-inventory-plugin/releases/download/%{version}/glpi-%{pluginname}-%{version}.tar.bz2

BuildArch:      noarch

%if 0%{?fedora} || 0%{?rhel} >= 8
Requires:      (glpi >= %{glpi_min} with glpi < %{glpi_max})
%else
Requires:       glpi >= %{glpi_min}
Requires:       glpi <  %{glpi_max}
%endif


%description
This plugin allows you to "manage" the Teclib' inventory agents in order to perform an inventory of the databases present on the workstation.

%description -l fr
Ce plugin permet de "piloter" les agents d'inventaire Teclib' afin d'executer un inventaire des bases de données présentes sur le poste.


%prep
%setup -q -c

grep "define('PLUGIN_DATABASEINVENTORY_M.._GLPI" %{pluginname}/setup.php

# remove unused files
rm    %{pluginname}/{.,}*.xml
rm    %{pluginname}/composer.json

# move doc files
mv %{pluginname}/docs       docs
mv %{pluginname}/README*.md docs/


# Create link to LICENSE for standard doc folder
ln -s %{_datadir}/glpi/plugins/%{pluginname}/LICENSE LICENSE


%build
# empty build


%install
mkdir -p %{buildroot}/%{_datadir}/glpi/plugins
cp -ar %{pluginname} %{buildroot}/%{_datadir}/glpi/plugins/%{pluginname}

for i in %{buildroot}/%{_datadir}/glpi/plugins/%{pluginname}/locales/*
do
  lang=$(basename $i)
  echo "%lang(${lang:0:2}) %{_datadir}/glpi/plugins/%{pluginname}/locales/${lang}"
done | tee %{name}.lang


%files -f %{name}.lang
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc docs/*
%dir %{_datadir}/glpi/plugins/%{pluginname}
%dir %{_datadir}/glpi/plugins/%{pluginname}/locales
# LICENSE file required by installation process
%{_datadir}/glpi/plugins/%{pluginname}/LICENSE
%{_datadir}/glpi/plugins/%{pluginname}/*.php
%{_datadir}/glpi/plugins/%{pluginname}/ajax
%{_datadir}/glpi/plugins/%{pluginname}/front
%{_datadir}/glpi/plugins/%{pluginname}/inc
%{_datadir}/glpi/plugins/%{pluginname}/vendor


%changelog
* Thu Sep 28 2023 Jean-Marc Liger <ligenix@iscp.fr> - 1.0.0-1
- Version 1.0.0 for GLPI 10.0.x
- Initial RPM based on Remi Collet previous GLPI plugins spec files
